<!DOCTYPE html>
<html lang="en">

<head>
    <title>Challenge IV || Binari || Nur Wahid Azhar</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"
        integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />

    <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css" />


    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

    <script type=" text/javascript" src="/model/cars.js"></script>

    <script src="/scripts/card_template.js"></script>

    <link rel="stylesheet" href="/css/style.css">

</head>

<body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
        <div class="container">
            <a class="navbar-brand" href="#">
                <img src="/images/Rectangle_74.png" width="100" height="34" class="d-inline-block align-text-top">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#">Our Services</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Why Us</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Testimonial</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">FAQ</a>
                    </li>
                    <li class="nav-item">
                        <button type="button" class=" btn btn-success ">Register</button>
                    </li>

                </ul>
            </div>
        </div>
    </nav>

    <div class="bg-light pt-5">
        <div class="d-flex ctx-resp">
            <div class="p-5">
                <div class="container">
                    <h1 class="text-black pb-3">
                        Sewa & Rental Mobil Terbaik di kawasan (Lokasimu)
                    </h1>
                    <div class="text">
                        Selamat datang di Binar Car Rental. Kami menyediakan mobil kualitas terbaik dengan harga
                        terjangkau.
                        Selalu siap melayani kebutuhanmu untuk sewa mobil selama 24 jam.
                    </div>
                </div>
            </div>
            <div>
                <div class="ms-auto">
                    <img class="img-responsive" id="img_car" src="/images/img_car.png">
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="card p-4 br-10" style="margin-top: -60px;">
            <form>
                <fieldset>
                    <div class="row">
                        <div class="col">
                            <label for="cb_tipe_driver" class="form-label">Tipe Driver</label>
                            <div class="dropdown">
                                <a class="btn btn-outline-success dropdown-toggle" role="button" id="cb_tipe_driver"
                                    data-bs-toggle="dropdown">
                                    Pilih Tipe Driver
                                </a>

                                <ul class="dropdown-menu" aria-labelledby="cb_tipe_driver">
                                    <li><a id="index_supir" class="dropdown-item" onclick="indexSupir()">Dengan
                                            Sopir</a></li>
                                    <li><a id="index_tanpa_supir" class="dropdown-item"
                                            onclick="indexTanpaSupir()">Tanpa Sopir (Lepas Kunci)</a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="col">
                            <label for="cb_date_picker" class="form-label">Tanggal</label>
                            <div class="input-group date" id="cb_date_picker" data-target-input="nearest">
                                <input id="txt_date" type="text" class="form-control outline-success"
                                    data-target="#cb_date_picker">
                                <span class="input-group-append" data-target="#cb_date_picker"
                                    data-toggle="datetimepicker">
                                    <span class="input-group-text bg-white d-block outline-success">
                                        <i class="fa-regular fa-calendar"></i>
                                    </span>
                                </span>
                            </div>
                        </div>
                        <div class="col">
                            <label for="cb_time_picker" class="form-label">Waktu Jemput / Ambil</label>
                            <div class="input-group date" id="cb_time_picker" data-target-input="nearest">
                                <input id="txt_time" type="text" class="form-control outline-success"
                                    data-target="#cb_time_picker">
                                <span class="input-group-append">
                                    <span class="input-group-text bg-white d-block outline-success"
                                        data-target="#cb_time_picker" data-toggle="datetimepicker">
                                        <i class="fa-regular fa-clock"></i>
                                    </span>
                                </span>
                            </div>
                        </div>
                        <div class="col">
                            <label for="txt_jumlah_penumpang" class="form-label">Jumlah Penumpang (optional)</label>
                            <div class="input-group date">
                                <input id="txt_jumlah_penumpang" type="number" max="6" min="0"
                                    class="form-control outline-success">
                                <span class="input-group-append">
                                    <span class="input-group-text bg-white d-block outline-success">
                                        <i class="fa-solid fa-user-group"></i>
                                    </span>
                                </span>
                            </div>
                        </div>
                        <div class="col-auto">
                            <button id="btn_cari_mobil" type="button" class="btn btn-success mt-32"
                                onclick="changeShow()">Cari Mobil</button>
                        </div>
                    </div>
                </fieldset>
            </form>
        </div>
    </div>

    <div id="data_container" class="container mt-5" style=" display: none">
        <div id="row_data" class="d-flex justify-content-center flex-wrap">

            <script>

                var showData = false
                var tipeDriver = null
                var tanggalMobil = null
                var waktuJemput = null
                var jumlahPenumpang = null



                function currencyFormat(amount) {
                    var forNum = amount.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.');
                    return `Rp. ${forNum}`
                }

                $("#btn_cari_mobil").click(function () {

                    var wrapper = document.getElementById("row_data");
                    let myHTML = ``

                    if (showData == true) {
                        cars.forEach(e => {
                            var date = new Date((new Date(e.availableAt).getTime() / 1000) * 1000);
                            var hours = date.getHours();
                            var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();

                            var ampm = hours >= 12 ? 'PM' : 'AM';
                            hours = hours % 12;
                            hours = hours ? hours : 12;

                            var datDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate()
                            var dateMonth = date.getMonth() < 10 ? "0" + date.getMonth() : date.getMonth()

                            var time = `${hours}:${minutes} ${ampm}`
                            var dateString = `${dateMonth}/${datDate}/${date.getFullYear()}`

                            console.log(dateString);
                            console.log(txt_date.value);
                            console.log(time);
                            console.log(txt_time.value);

                            if (e.available == true && txt_jumlah_penumpang.value != "") {
                                if (e.capacity >= txt_jumlah_penumpang.value && dateString == txt_date.value && time == txt_time.value) {
                                    myHTML += showCard(e.image, e.type, currencyFormat(e.rentPerDay), e.description, e.capacity, e.transmission, e.year)
                                }
                                // else {
                                //     myHTML =
                                //         `
                                //     <div class="container">
                                //         <div class="text-center p-5">
                                //             <h3>404. NOT FOUND</h3>
                                //         </div>
                                //     </div>
                                //     `
                                // }
                            } else if (e.available == true) {
                                if (dateString == txt_date.value && time == txt_time.value) {
                                    myHTML += showCard(e.image, e.type, currencyFormat(e.rentPerDay), e.description, e.capacity, e.transmission, e.year)
                                }
                                // else {
                                //     myHTML =
                                //         `
                                //     <div class="container">
                                //         <div class="text-center p-5">
                                //             <h3>404. NOT FOUND</h3>
                                //         </div>
                                //     </div>
                                //     `
                                // }
                            }

                        })
                    }

                    wrapper.innerHTML = myHTML;
                });


            </script>
        </div>
    </div>

    <div class="container mt-5  pb-5">
        <div class="row">
            <div class="col">
                <p>
                    Jalan Suroyo No. 161 Mayangan Kota Probolonggo 672000
                <p>

                <p>
                    binarcarrental@gmail.com
                </p>

                <p>
                    081-233-334-808
                </p>
            </div>
            <div class="col">
                <p style="font-weight: bold;">
                    Our services
                <p>

                <p style="font-weight: bold;">
                    Why Us
                </p>

                <p style="font-weight: bold;">
                    Testimonial
                </p>

                <p style="font-weight: bold;">
                    FAQ
                </p>
            </div>
            <div class="col">
                <p>Connect with us</p>

                <div class="d-flex">
                    <div class="p-2">
                        <img src="/images/icon_facebook.png" width="32" height="32">
                    </div>
                    <div class="p-2">
                        <img src="/images/icon_instagram.png" width="32" height="32">
                    </div>
                    <div class="p-2">
                        <img src="/images/icon_twitter.png" width="32" height="32">
                    </div>
                    <div class="p-2">
                        <img src="/images/icon_mail.png" width="32" height="32">
                    </div>
                    <div class="p-2">
                        <img src="/images/icon_twitch.png" width="32" height="32">
                    </div>
                </div>
            </div>

            <div class="col">
                <p>
                    Copyright Binar 2022
                </p>
                <img src="/images/Rectangle_74.png" width="100" height="34">
            </div>
        </div>
    </div>

    <script src="/js/jquery.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/js/all.min.js"
        integrity="sha512-6PM0qYu5KExuNcKt5bURAoT6KCThUmHRewN3zUFNaoI6Di7XJPTMoT6K0nsagZKk2OB4L7E3q1uQKHNHd4stIQ=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <script
        src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.0/moment.min.js"></script>
    <script
        src="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.39.0/js/tempusdominus-bootstrap-4.min.js"
        integrity="sha512-k6/Bkb8Fxf/c1Tkyl39yJwcOZ1P4cRrJu77p83zJjN2Z55prbFHxPs9vN7q3l3+tSMGPDdoH51AEU8Vgo1cgAA=="
        crossorigin="anonymous"></script>

    <!-- <script src="/scripts/get_data.js"></script>
    <script src="/scripts/app.js"></script>
    <script src="/scripts/car_model.js"></script> -->
    <script type="text/javascript" src="/scripts/dom.js"></script>

    <script type="text/javascript">

        // btn_cari_mobil.onClick = changeShow()

        function indexSupir() {
            tipeDriver = "Dengan Supir"
            cb_tipe_driver.textContent = tipeDriver
            console.log(tipeDriver);
        }

        function indexTanpaSupir() {
            tipeDriver = "Tanpa Supir"
            cb_tipe_driver.textContent = tipeDriver
            console.log(tipeDriver);
        }

        function changeShow() {
            if (tipeDriver != null && txt_date.value != "" && txt_time.value != "") {
                showData = !showData
                console.log(showData);
                data_container.style.display = showData ? 'block' : 'none';
                btn_cari_mobil.textContent = showData ? "Clear" : "Cari Mobil"
            } else {
                alert("Driver Type or Date Time has not choosen\nPlease choose Driver Type and Date Time");
            }
        }

        // img_card.src = "https://www.gravatar.com/avatar/874b378607eb21bc868bdadb8847560f?s=64&d=identicon&r=PG"


        $(function () {
            $('#cb_date_picker').datetimepicker({
                format: 'L'
            });
        });

        $(function () {
            $('#cb_time_picker').datetimepicker({
                format: 'LT'
            });
        });
    </script>
</body>

</html>